Skip to main content
GET
/
workflows
/
{workflow_id}
/
runs
/
{run_id}
[Beta] Get a workflow run
curl --request GET \
  --url https://api.open.cx/workflows/{workflow_id}/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/workflows/{workflow_id}/runs/{run_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/workflows/{workflow_id}/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "workflow_id": 123,
  "duration_in_seconds": 123,
  "run_started_at": "2023-11-07T05:31:56Z",
  "run_ended_at": "2023-11-07T05:31:56Z",
  "is_test_run": true,
  "created_at": "2023-11-07T05:31:56Z"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string
required
run_id
string
required

Response

Default Response

id
string
required

Run UUID

workflow_id
number
required

Workflow version serial ID that was executed

status
enum<string> | null
required

Run status: "idle", "in_progress", "completed", "failed", "canceled"

Available options:
canceled,
completed,
failed,
idle,
in_progress,
waiting
trigger_cause
enum<string>
required

What caused the run: "manual", "automatic", "scheduled"

Available options:
automatic,
manual,
scheduled
duration_in_seconds
number | null
required

How long the run took

run_started_at
string<date-time> | null
required
run_ended_at
string<date-time> | null
required
is_test_run
boolean
required

Whether this was a test run

created_at
string<date-time>
required